Bug 164978 - Using radeonfb on a Thinkpad T41p causes the X-server to hang the machine
Using radeonfb on a Thinkpad T41p causes the X-server to hang the machine
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 05:54 EDT by Carsten Seibert
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logfile showing X startup including error message (31.95 KB, text/plain)
2005-08-03 05:54 EDT, Carsten Seibert
no flags Details
/etc/X11/xorg.conf (2.73 KB, text/plain)
2005-08-03 05:56 EDT, Carsten Seibert
no flags Details

  None (edit)
Description Carsten Seibert 2005-08-03 05:54:52 EDT
Description of problem:
When trying to use radeonfb on a Thinkpad T41p (having a "ATI FireGL Mobility T2
(M10) NT (AGP)") and starting X the screen goes blank and the whole system hangs
. Needs to be powered off/on in order to recover.
Just loading the radeonfb module in runlevel 3 works fine and console switches
to higher resolution.
Running the system without radeon framebuffer support works fine.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Allways

Steps to Reproduce:
1. init 3
2. modprobe radeonfb
3. init 5
  
Actual results:
Step 2 shows:
adeonfb: Reference=27.00 MHz (RefDiv=6) Memory=320.00 Mhz, System=202.00 MHz
radeonfb: PLL min 20000 max 35000
Non-DDC laptop panel detected
radeonfb: panel ID string: SXGA+ Single (85MHz)
radeonfb: detected LVDS panel size from BIOS: 1400x1050
radeonfb: Dynamic Clock Power Management enabled
radeonfb: forcefully enabling sleep mode
Console: switching to colour frame buffer device 175x65
radeonfb (0000:01:00.0): ATI Radeon NT

Step 3 causes the system to hang. The Xorg.0.log shows an error in the very last
line:
(EE) RADEON(0): Idle timed out, resetting engine...

Expected results:
X starts and displays login screen.

Additional info:
See attachments
Comment 1 Carsten Seibert 2005-08-03 05:54:54 EDT
Created attachment 117390 [details]
Logfile showing X startup including error message
Comment 2 Carsten Seibert 2005-08-03 05:56:36 EDT
Created attachment 117391 [details]
/etc/X11/xorg.conf
Comment 3 Dave Jones 2005-09-30 03:04:05 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 4 Dave Jones 2005-11-10 15:10:16 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 5 Dave Jones 2006-02-03 02:14:56 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:24:33 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.